scala.xml
class Group

[source: `scala/xml/Group.scala`]

`case` `class` Group(`val` nodes : Seq[Node])
  `extends` Node `with` Product

  A hack to group XML nodes in one node for output.

Author
  Burak Emir
Version
  1.0

Method Summary
`override final def` | attributes : Nothing
`override final def` | child : Nothing
`override def` | equals (x : Any) : Boolean structural equality
`final def` | label : Nothing
`override final def` | namespace : Nothing
`override final def` | productArity : Int return k for a product `A(x_1,...,x_k))`
`override final def` | productElement (arg0 : Int) : Any for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`
`override final def` | productPrefix : String By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.
`override def` | text : String Returns a text representation of this node. Note that this is not equivalent to the XPath node-test called text(), it is rather an implementation of the XPath function string() Martin to Burak: to do: if you make this method abstract, the compiler will now complain if there's no implementation in a subclass. Is this what we want? Note that this would break doc/DocGenator and doc/ModelToXML, with an error message like: doc\DocGenerator.scala:1219: error: object creation impossible, since there is a deferred declaration of method text in class Node of type => String which is not implemented in a subclass new SpecialNode { ^
`override def` | theSeq : Seq[Node] returns a sequence consisting of only this node
`def` | toString (sb : StringBuilder) : Nothing

Methods inherited from Product
element, arity

Methods inherited from Node
prefix, scope, getNamespace, attribute, attribute, descendant, descendant_or_self, hashCode, toString, toString, nameToString, xmlType

Methods inherited from NodeSeq
length, elements, apply, apply, \, \\

Methods inherited from Seq
size, isEmpty, concat, ++, isDefinedAt, lastIndexOf, map, flatMap, filter, take, drop, takeWhile, dropWhile, reverse, contains, slice, subseq, toArray

Methods inherited from Collection
stringPrefix

Methods inherited from Iterable
foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, mkString, mkString, addString, addString, copyToArray, projection, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`override` `def` theSeq : Seq[Node]

  returns a sequence consisting of only this node

Overrides
  Node.theSeq

`override` `def` equals(x : Any) : Boolean

  structural equality

Overrides
  Node.equals

`final` `def` label : Nothing

Throws
  Predef.UnsupportedOperationException - (always)

Overrides
  Node.label

`override final` `def` attributes : Nothing

Throws
  Predef.UnsupportedOperationException - (always)

Overrides
  Node.attributes

`override final` `def` namespace : Nothing

Throws
  Predef.UnsupportedOperationException - (always)

Overrides
  Node.namespace

`override final` `def` child : Nothing

Throws
  Predef.UnsupportedOperationException - (always)

Overrides
  Node.child

`` `def` toString(sb : StringBuilder) : Nothing

Throws
  Predef.UnsupportedOperationException - (always)

`override` `def` text : String

  Returns a text representation of this node. Note that this is not equivalent to the XPath node-test called text(), it is rather an implementation of the XPath function string() Martin to Burak: to do: if you make this method abstract, the compiler will now complain if there's no implementation in a subclass. Is this what we want? Note that this would break doc/DocGenator and doc/ModelToXML, with an error message like: doc\DocGenerator.scala:1219: error: object creation impossible, since there is a deferred declaration of method text in class Node of type => String which is not implemented in a subclass new SpecialNode { ^

Overrides
  Node.text

`override final` `def` productPrefix : String

  By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.

Overrides
  Product.productPrefix

`override final` `def` productArity : Int

  return k for a product `A(x_1,...,x_k))`

Overrides
  Product.productArity

`override final` `def` productElement(arg0 : Int) : Any

  for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`

Parameters
  `n -` the position of the n-th element
Throws
  `IndexOutOfBoundsException -`
Returns
  ...

Overrides
  Product.productElement